Subject: bug#46824: 28.0.50; nativecomp crash with cl-block/cl-defun

From: Andrea Corallo <[email-masked]>
Date: Mon, 01 Mar 2021 09:02:40 +0000

Pip Cet <[email-masked]> writes:

> On Sun, Feb 28, 2021 at 6:13 AM Pip Cet <[email-masked]> wrote:
>> Andrea, is it possible to modify the code so _setjmp is called
>> directly rather than through a function pointer?
>
> This patch, which I hasten to add is not for inclusion and hasn't been
> tested against the test suite, might fix the problem (on non-Windows
> systems. I'm afraid this problem is something that Windows actually
> got right and Unix got wrong...) It does here, experimentally.
>
> I'd appreciate it if someone could test further.

I haven't looked into the patch but the approach sounds like a good idea
to me. Can we have the version of the patch you'd like to have included?

Thanks

  Andrea